<?php

include('functions.php');
include('db.inc.php');

if($round) {

	$munkavegzes_hely="";
	$bizonylat_atadas="";
	while (list($key, $val) = each($_POST)) {
		if ($key<>"id" && $key<>"Submit" && $key<>"round" && $key<>"datum_4"){
			if ($key<>"munkavegzes_hely1" && $key<>"munkavegzes_hely2" && $key<>"bizonylat_atadas1" && $key<>"bizonylat_atadas2")
				$set.=$key ."='". addslashes($val) . "', ";
			else
			{
				if ($key=="munkavegzes_hely1" && !$munkavegzes_hely)	$munkavegzes_hely="1";	
				if ($key=="munkavegzes_hely2" && !$munkavegzes_hely)	$munkavegzes_hely="2";	
				if ($key=="munkavegzes_hely2" && $munkavegzes_hely==1)	$munkavegzes_hely="3";	
				if ($key=="bizonylat_atadas1" && !$bizonylat_atadas)	$bizonylat_atadas="1";	
				if ($key=="bizonylat_atadas2" && !$bizonylat_atadas)	$bizonylat_atadas="2";	
				if ($key=="bizonylat_atadas2" && $bizonylat_atadas==1)	$bizonylat_atadas="3";	
			}
		}
	}
	$set.="munkavegzes_hely='".$munkavegzes_hely."', bizonylat_atadas='".$bizonylat_atadas."', ";
	$set=substr($set,0, strlen($set)-2);

	$stmt="UPDATE kk_tag SET $set WHERE id='$id'";
	$mydb = new db();
	$result=$mydb->query($stmt);
	//header("Location:a_tag.php");
	echo "<script>alert('Sikeres módosítás!');document.location.replace('a_modositok.php?id=$id');</script>";

} else {

$title="szerkesztes";

	include('header.inc.php');

	$mydb = new db();

	$stmt="SELECT kk_tag.*, DATE_ADD(datum_2, INTERVAL 6 MONTH) AS datum_4 FROM kk_tag WHERE id='$id'";

	$result=$mydb->query($stmt);

	printf("<H5>Szerkesztés</H5>");


	while($row = mysql_fetch_object($result)){

		for($field_index=0; $field_index<mysql_num_fields($result); $field_index++){
			$field_name=mysql_field_name($result, $field_index);
			$data[$field_name]=$row->$field_name;
		}

		generate_html_form('tag', $data, $PHP_SELF);
	}

	printf("<BR><H5>Tagdíjbefizetést visszaigazoló e-mail elküldése</H5>");
    printf("
    <TABLE cellspacing=\"1\" style='background: #DDDDDD;'><TR>
    <FORM NAME=\"automat_1\" ACTION=\"a_automat_1.php\" METHOD=\"POST\">
    <TD WIDTH=100>E-mail:</TD><TD><INPUT TYPE=\"TEXT\" VALUE=\"%s\" NAME=\"auto_mail\"></TD></TR>
    <TD WIDTH=100>tól:</TD><TD><INPUT TYPE=\"TEXT\" VALUE=\"%s\" NAME=\"auto_from\"></TD></TR>
    <TD WIDTH=100>ig:</TD><TD><INPUT TYPE=\"TEXT\" VALUE=\"%s\" NAME=\"auto_to\"></TD></TR>
    <TD>&nbsp;</TD><TD><INPUT TYPE=\"SUBMIT\" VALUE=\"Mehet\"></TD></TR>
    
    </FORM>
    </TABLE>
    ", $data[email], $data[datum_2], $data[datum_4]);    

	include('footer.inc.php');

}

?>
